- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends

# QNetworkCacheMetaData Class Reference

Search for all occurrences

## Detailed Description

Definition at line 62 of file qabstractnetworkcache.h.

`#include <qabstractnetworkcache.h>`

List of all members.

## Public Types
typedef QPair< QByteArray, QByteArray > | RawHeader
typedef QList< RawHeader > | RawHeaderList
typedef QHash < QNetworkRequest::Attribute, QVariant > | AttributesMap
## Public Member Functions
| QNetworkCacheMetaData ()
| QNetworkCacheMetaData (const QNetworkCacheMetaData &other)
| ~QNetworkCacheMetaData ()
QNetworkCacheMetaData & | operator= (const QNetworkCacheMetaData &other)
bool | operator== (const QNetworkCacheMetaData &other) const
bool | operator!= (const QNetworkCacheMetaData &other) const
bool | isValid () const
QUrl | url () const
void | setUrl (const QUrl &url)
RawHeaderList | rawHeaders () const
void | setRawHeaders (const RawHeaderList &headers)
QDateTime | lastModified () const
void | setLastModified (const QDateTime &dateTime)
QDateTime | expirationDate () const
void | setExpirationDate (const QDateTime &dateTime)
bool | saveToDisk () const
void | setSaveToDisk (bool allow)
AttributesMap | attributes () const
void | setAttributes (const AttributesMap &attributes)
## Friends
class | QNetworkCacheMetaDataPrivate

## Member Typedef Documentation

typedef QPair<QByteArray, QByteArray> RawHeader

Search for all occurrences

Definition at line 66 of file qabstractnetworkcache.h.

typedef QList<RawHeader> RawHeaderList

Search for all occurrences

Definition at line 67 of file qabstractnetworkcache.h.

typedef QHash<QNetworkRequest::Attribute, QVariant> AttributesMap

Search for all occurrences

Definition at line 68 of file qabstractnetworkcache.h.

## Constructor & Destructor Documentation

QNetworkCacheMetaData | ( |  | ) |

QNetworkCacheMetaData | ( | const QNetworkCacheMetaData & | other | ) |

~QNetworkCacheMetaData | ( |  | ) |

## Member Function Documentation

QNetworkCacheMetaData& operator= | ( | const QNetworkCacheMetaData & | other | ) |

bool operator== | ( | const QNetworkCacheMetaData & | other | ) | const

bool operator!= | ( | const QNetworkCacheMetaData & | other | ) | const `[inline]`

Definition at line 76 of file qabstractnetworkcache.h.

            { return !(*this == other); }

bool isValid | ( |  | ) | const

Search for all occurrences

QUrl url | ( |  | ) | const

Search for all occurrences

void setUrl | ( | const QUrl & | url | ) |

Search for all occurrences

RawHeaderList rawHeaders | ( |  | ) | const

Search for all occurrences

void setRawHeaders | ( | const RawHeaderList & | headers | ) |

Search for all occurrences

QDateTime lastModified | ( |  | ) | const

Search for all occurrences

void setLastModified | ( | const QDateTime & | dateTime | ) |

Search for all occurrences

QDateTime expirationDate | ( |  | ) | const

Search for all occurrences

void setExpirationDate | ( | const QDateTime & | dateTime | ) |

Search for all occurrences

bool saveToDisk | ( |  | ) | const

Search for all occurrences

void setSaveToDisk | ( | bool | allow | ) |

Search for all occurrences

AttributesMap attributes | ( |  | ) | const

Search for all occurrences

void setAttributes | ( | const AttributesMap & | attributes | ) |

Search for all occurrences

## Friends And Related Function Documentation

friend class QNetworkCacheMetaDataPrivate `[friend]`

Search for all occurrences

Definition at line 100 of file qabstractnetworkcache.h.

The documentation for this class was generated from the following file:

- QtNetwork/qabstractnetworkcache.h

QNetworkCacheMetaData QNetworkCacheMetaData QNetworkCacheMetaData QNetworkCacheMetaData QNetworkCacheMetaData QNetworkCacheMetaData QNetworkCacheMetaData QNetworkCacheMetaData QNetworkCacheMetaData QNetworkCacheMetaData
QNetworkCacheMetaData QNetworkCacheMetaData QNetworkCacheMetaData QNetworkCacheMetaData QNetworkCacheMetaData QNetworkCacheMetaData QNetworkCacheMetaData QNetworkCacheMetaData QNetworkCacheMetaData QNetworkCacheMetaData